# Uses of Class
net.shibboleth.shared.codec.EncodingException

Packages that use EncodingException
Package
Description
net.shibboleth.shared.codec
A set of helper functions for encoding/decoding data to/from different formats.
net.shibboleth.utilities.java.support.codec
Legacy API stub for compatibility.

## Uses of EncodingException in net.shibboleth.shared.codec

Methods in net.shibboleth.shared.codec that throw EncodingException
Modifier and Type
Method
Description
`static String`
Base32Support.`encode(byte[] data, boolean chunked)`
Base32 encodes the given binary data.
`static String`
Base64Support.`encode(byte[] data, boolean chunked)`
Base64 encodes the given binary data.
`static String`
Base64Support.`encodeURLSafe(byte[] data)`
Base64URL encodes the given binary data.

## Uses of EncodingException in net.shibboleth.utilities.java.support.codec

Methods in net.shibboleth.utilities.java.support.codec that throw EncodingException
Modifier and Type
Method
Description
`static String`
Base32Support.`encode(byte[] data, boolean chunked)`
Deprecated, for removal: This API element is subject to removal in a future version.
Base32 encodes the given binary data.
`static String`
Base64Support.`encode(byte[] data, boolean chunked)`
Deprecated, for removal: This API element is subject to removal in a future version.
Base64 encodes the given binary data.
`static String`
Base64Support.`encodeURLSafe(byte[] data)`
Deprecated, for removal: This API element is subject to removal in a future version.
Base64URL encodes the given binary data.